﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using Microsoft.Practices.Composite.Presentation.Commands;

namespace WpfApplication3
{
    /// <summary>
    /// Interaction logic for Window1.xaml
    /// </summary>
    public partial class Window1 : Window
    {
        public ICommand MouseLeftButtonUpCommand { get; set; }

        public Window1()
        {
            InitializeComponent();

            MouseLeftButtonUpCommand = new DelegateCommand<object>(OnMouseLeftButtonUp, arg => true);

            this.textBlock1.DataContext = MouseLeftButtonUpCommand;
        }

        public void OnMouseLeftButtonUp(object obj)
        {
            MessageBox.Show("Click TextBlock!");
        }
    }
}
